Create agent key
curl --request POST \
--url https://api.natural.com/agent-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"tags": {
"team": "payments"
}
},
"relationships": {
"agent": {
"data": {
"type": "agent",
"id": "agt_019cd1798d637a4da75dce386343931d"
}
}
}
}
}
'import requests
url = "https://api.natural.com/agent-keys"
payload = { "data": {
"attributes": { "tags": { "team": "payments" } },
"relationships": { "agent": { "data": {
"type": "agent",
"id": "agt_019cd1798d637a4da75dce386343931d"
} } }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {tags: {team: 'payments'}},
relationships: {agent: {data: {type: 'agent', id: 'agt_019cd1798d637a4da75dce386343931d'}}}
}
})
};
fetch('https://api.natural.com/agent-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/agent-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'tags' => [
'team' => 'payments'
]
],
'relationships' => [
'agent' => [
'data' => [
'type' => 'agent',
'id' => 'agt_019cd1798d637a4da75dce386343931d'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/agent-keys"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"tags\": {\n \"team\": \"payments\"\n }\n },\n \"relationships\": {\n \"agent\": {\n \"data\": {\n \"type\": \"agent\",\n \"id\": \"agt_019cd1798d637a4da75dce386343931d\"\n }\n }\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/agent-keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"tags\": {\n \"team\": \"payments\"\n }\n },\n \"relationships\": {\n \"agent\": {\n \"data\": {\n \"type\": \"agent\",\n \"id\": \"agt_019cd1798d637a4da75dce386343931d\"\n }\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/agent-keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"tags\": {\n \"team\": \"payments\"\n }\n },\n \"relationships\": {\n \"agent\": {\n \"data\": {\n \"type\": \"agent\",\n \"id\": \"agt_019cd1798d637a4da75dce386343931d\"\n }\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"type": "agentKey",
"id": "agk_019cd1798d6d1353281cf4cdf5d20c8d",
"attributes": {
"agentKeyPrefix": "ak_ntl_prod_sxHp_FRoRTnDEmEH",
"status": "ACTIVE",
"createdAt": "2026-01-04T15:30:00.000Z",
"lastUsedAt": null,
"revokedAt": null,
"createdBy": "usr_019cd1798d657de5b5fed4198cb9fac0",
"revokedBy": null,
"expiresAt": null,
"tags": {
"team": "payments"
},
"agentKey": "ak_ntl_prod_sxHp_FRoRTnDEmEHD8FKVJg7P0d3UJMSWCtzQe9GBxk"
},
"relationships": {
"party": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"agent": {
"data": {
"type": "agent",
"id": "agt_019cd1798d637a4da75dce386343931d"
}
}
}
}
}Agent Keys
Create agent key
Create an agent key for an agent. Returns the Agent Key object. The secret is returned only once.
POST
/
agent-keys
Create agent key
curl --request POST \
--url https://api.natural.com/agent-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"tags": {
"team": "payments"
}
},
"relationships": {
"agent": {
"data": {
"type": "agent",
"id": "agt_019cd1798d637a4da75dce386343931d"
}
}
}
}
}
'import requests
url = "https://api.natural.com/agent-keys"
payload = { "data": {
"attributes": { "tags": { "team": "payments" } },
"relationships": { "agent": { "data": {
"type": "agent",
"id": "agt_019cd1798d637a4da75dce386343931d"
} } }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {tags: {team: 'payments'}},
relationships: {agent: {data: {type: 'agent', id: 'agt_019cd1798d637a4da75dce386343931d'}}}
}
})
};
fetch('https://api.natural.com/agent-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/agent-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'tags' => [
'team' => 'payments'
]
],
'relationships' => [
'agent' => [
'data' => [
'type' => 'agent',
'id' => 'agt_019cd1798d637a4da75dce386343931d'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/agent-keys"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"tags\": {\n \"team\": \"payments\"\n }\n },\n \"relationships\": {\n \"agent\": {\n \"data\": {\n \"type\": \"agent\",\n \"id\": \"agt_019cd1798d637a4da75dce386343931d\"\n }\n }\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/agent-keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"tags\": {\n \"team\": \"payments\"\n }\n },\n \"relationships\": {\n \"agent\": {\n \"data\": {\n \"type\": \"agent\",\n \"id\": \"agt_019cd1798d637a4da75dce386343931d\"\n }\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/agent-keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"tags\": {\n \"team\": \"payments\"\n }\n },\n \"relationships\": {\n \"agent\": {\n \"data\": {\n \"type\": \"agent\",\n \"id\": \"agt_019cd1798d637a4da75dce386343931d\"\n }\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"type": "agentKey",
"id": "agk_019cd1798d6d1353281cf4cdf5d20c8d",
"attributes": {
"agentKeyPrefix": "ak_ntl_prod_sxHp_FRoRTnDEmEH",
"status": "ACTIVE",
"createdAt": "2026-01-04T15:30:00.000Z",
"lastUsedAt": null,
"revokedAt": null,
"createdBy": "usr_019cd1798d657de5b5fed4198cb9fac0",
"revokedBy": null,
"expiresAt": null,
"tags": {
"team": "payments"
},
"agentKey": "ak_ntl_prod_sxHp_FRoRTnDEmEHD8FKVJg7P0d3UJMSWCtzQe9GBxk"
},
"relationships": {
"party": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"agent": {
"data": {
"type": "agent",
"id": "agt_019cd1798d637a4da75dce386343931d"
}
}
}
}
}Authorizations
Headers
Was this page helpful?